Document of c-modernization-kit (porter) 1.0.0

Loading...
Searching...
No Matches
Functions
potrRecvThread.h File Reference

受信スレッド内部ヘッダー。 More...

`#include "../potrContext.h"`
Include dependency graph for potrRecvThread.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions
int | comm_recv_thread_start (struct PotrContext_ *ctx)
| 非 TCP 受信スレッドを起動します。
int | comm_recv_thread_stop (struct PotrContext_ *ctx)
| 非 TCP 受信スレッドを停止します。
int | tcp_recv_thread_start (struct PotrContext_ *ctx, int path_idx)
| TCP 受信スレッドを path ごとに起動します。
int | tcp_recv_thread_stop (struct PotrContext_ *ctx, int path_idx)
| TCP 受信スレッドの終了を待機します。

## Detailed Description

受信スレッド内部ヘッダー。

Author
  c-modernization-kit sample team

Date
  2026/03/04

Version
  1.0.0

Copyright
  Copyright (C) CompanyName, Ltd. 2026. All rights reserved.

Definition in file potrRecvThread.h.

## Function Documentation

## ◆ comm_recv_thread_start()

int comm_recv_thread_start | ( | struct PotrContext_ * | ctx | ) |
| extern

非 TCP 受信スレッドを起動します。

Parameters

  [in,out] | ctx | セッションコンテキストへのポインタ。

Returns
  成功時は POTR_SUCCESS、失敗時は POTR_ERROR を返します。

Definition at line 2980 of file potrRecvThread.c.

References POTR_ERROR, POTR_LOG, POTR_SUCCESS, POTR_TRACE_ERROR, POTR_TRACE_VERBOSE, PotrContext_::recv_thread, recv_thread_func(), PotrContext_::running, PotrContext_::service, and PotrServiceDef::service_id.

Referenced by potrOpenService().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ comm_recv_thread_stop()

int comm_recv_thread_stop | ( | struct PotrContext_ * | ctx | ) |
| extern

非 TCP 受信スレッドを停止します。

Parameters

  [in,out] | ctx | セッションコンテキストへのポインタ。

Returns
  成功時は POTR_SUCCESS、失敗時は POTR_ERROR を返します。

Definition at line 3027 of file potrRecvThread.c.

References PotrContext_::n_path, POTR_ERROR, POTR_INVALID_SOCKET, POTR_SUCCESS, PotrContext_::recv_thread, PotrContext_::running, and PotrContext_::sock.

Referenced by potrCloseService().

Here is the caller graph for this function:

## ◆ tcp_recv_thread_start()

int tcp_recv_thread_start | ( | struct PotrContext_ * | ctx,
|  | int | path_idx )
| extern

TCP 受信スレッドを path ごとに起動します。

Parameters

  [in,out] | ctx | セッションコンテキストへのポインタ。
  [in] | path_idx | パスインデックス (0 ～ n_path-1)。

Returns
  成功時は POTR_SUCCESS、失敗時は POTR_ERROR を返します。

Definition at line 3079 of file potrRecvThread.c.

References POTR_ERROR, POTR_LOG, POTR_SUCCESS, POTR_TRACE_ERROR, POTR_TRACE_VERBOSE, PotrContext_::recv_thread, PotrContext_::running, s_tcp_recv_args, PotrContext_::service, PotrServiceDef::service_id, and tcp_recv_thread_func().

Referenced by start_connected_threads().

Here is the call graph for this function:
Here is the caller graph for this function:

## ◆ tcp_recv_thread_stop()

int tcp_recv_thread_stop | ( | struct PotrContext_ * | ctx,
|  | int | path_idx )
| extern

TCP 受信スレッドの終了を待機します。

スレッドの停止はソケットクローズ (connect スレッド側) で行います。 本関数は join のみを担当します。

Parameters

  [in,out] | ctx | セッションコンテキストへのポインタ。
  [in] | path_idx | パスインデックス (0 ～ n_path-1)。

Returns
  成功時は POTR_SUCCESS、失敗時は POTR_ERROR を返します。

Definition at line 3133 of file potrRecvThread.c.

References POTR_ERROR, POTR_SUCCESS, PotrContext_::recv_thread, and PotrContext_::running.